CREATE OR REPLACE PROCEDURE REINF_R1070(
   P_CDEMPRESA    IN EMPRESA.CDEMPRESA%TYPE,
   P_NRENVIO      IN NUMBER,
   P_NREVENTO     IN NUMBER,
   P_VERSAO       IN VARCHAR2,
   P_IDAMBIENTE   IN VARCHAR2,
   P_CDPROCESSO   IN PROCESSOFIS.CDPROCESSO%TYPE)

AS
   V_NRSEQREINF    NUMBER;
BEGIN
   /* BUSCA  AS INFORMAES DO PROCESSO */
   FOR C_1070 IN (SELECT P_IDAMBIENTE                                                                AS TMPAMB,
                         '1'                                                                         AS PROCEMI,
                         '1.5.1'                                                                     AS VERPROC,
                         DECODE(E.IDTPIJUREMPR,'J','1','F','2',' ')                                  AS TPINSC,
                         DECODE(E.IDTPIJUREMPR,'J',SUBSTR(E.NRINSJUREMPR,1,8), 'F', E.NRINSJUREMPR)  AS NRINSC,
                         P.TPPROCESSO                                                                AS TPPROC,
                         P.CDPROCESSO,
                         P.NRPROCESSO                                                                AS NRPROC,
                         P.DTINIVALID                                                                AS INIVALID,
                         P.DTFIMVALID                                                                AS FIMVALID,
                         P.IDAUTORIA                                                                 AS INDAUTORIA,
                         P.SGESTADO                                                                  AS UFVARA,
                         M.CDMUNICIBGE                                                               AS CODMUNIC,
                         P.CDVARA                                                                    AS IDVARA
                    FROM PROCESSOFIS P,
                         MUNICIPIO M,
                         EMPRESA E
                   WHERE P.CDPROCESSO  = P_CDPROCESSO
                     AND P.CDMUNICIPIO = M.CDMUNICIPIO
                     AND P.SGESTADO    = M.SGESTADO
                     AND P.CDPAIS      = M.CDPAIS
                     AND P.CDEMPRESA   = E.CDEMPRESA) LOOP

              NOVO_CODIGO_NT('NRSEQREINF', V_NRSEQREINF);
              INSERT INTO ARQEFD_REINF
                          (CDEMPRESA, NREVENTO, NRENVIO, CDCAMPO1, CDCAMPO2,
                           CDCAMPO3, CDCAMPO4, CDCAMPO5, CDCAMPO6, CDCAMPO7,
                           CDCAMPO8, CDCAMPO9, CDCAMPO10, CDCAMPO11,
                           CDCAMPO12, DTCAMPO1, DTCAMPO2, NRSEQREINF)
                   VALUES (P_CDEMPRESA, P_NREVENTO, P_NRENVIO, C_1070.TMPAMB, C_1070.PROCEMI, C_1070.VERPROC,
                           C_1070.TPINSC, C_1070.NRINSC, C_1070.TPPROC, C_1070.CDPROCESSO,
                           C_1070.NRPROC , C_1070.INDAUTORIA, C_1070.UFVARA,
                           C_1070.CODMUNIC, C_1070.IDVARA,C_1070.INIVALID, C_1070.FIMVALID, V_NRSEQREINF);

      /* BUSCA TODAS AS INFORMAES DE SUSPENSO DE EXIBILIDADE DE TRIBUTOS DO PROCESSO*/
      FOR C_INFSUSP IN (SELECT CDSUSP ,
                               CODSUSP      AS CODSUSP,
                               DTDECISAO    AS DTDECISAO,
                               CDINDISUSPEN AS INDSUSP,
                               IDDEPOSITO   AS INDDEPOSITO
                          FROM INFOSUSPENTRIB
                         WHERE CDPROCESSO = C_1070.CDPROCESSO)LOOP

              NOVO_CODIGO_NT('NRSEQREINF', V_NRSEQREINF);
              INSERT INTO ARQEFD_REINF
                          (CDEMPRESA, NREVENTO, NRENVIO, CDCAMPO1, CDCAMPO2,
                           CDCAMPO3, CDCAMPO4, CDCAMPO5, DTCAMPO1, NRSEQREINF)
                   VALUES (P_CDEMPRESA, P_NREVENTO, P_NRENVIO, C_INFSUSP.CDSUSP, C_INFSUSP.CODSUSP,
                           C_INFSUSP.INDSUSP, C_INFSUSP.INDDEPOSITO, C_1070.CDPROCESSO, C_INFSUSP.DTDECISAO, V_NRSEQREINF);
      END LOOP;
   END LOOP;
END;
/

-- VERSAO --
BEGIN ATUVEROBJ('REINF_R1070','5.85.xxx'); END;
/
